#31612 closed enhancement (fixed)

Update setuptools_scm to 6.0.1

Reported by: mkoeppe Owned by:
Priority: blocker Milestone: sage-9.3
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Matthias Koeppe Reviewers: Dima Pasechnik
Report Upstream: N/A Work issues:
Branch: 4f776b0 (Commits, GitHub, GitLab) Commit: 4f776b01c7b75176ba769d21fbfa75a434a7d581
Dependencies: Stopgaps:

Status badges

Description (last modified by mkoeppe)

Prompted by a problem report using WSL at https://groups.google.com/g/sage-devel/c/1SQf-k15J4Y/m/3EnxbDdWAAAJ

https://pypi.org/project/setuptools-scm/#history

The new version has python_requires = >=3.6, so it is OK for Sage 9.3

To try this ticket: make configure && ./configure --enable-download-from-upstream-url && make build

Change History (10)

comment:1 Changed 16 months ago by mkoeppe

  • Description modified (diff)

comment:2 Changed 16 months ago by mkoeppe

  • Authors set to Matthias Koeppe
  • Description modified (diff)

comment:3 Changed 16 months ago by mkoeppe

  • Branch set to u/mkoeppe/update_setuptools_scm_to_6_0_1

comment:4 Changed 16 months ago by mkoeppe

  • Commit set to 4f776b01c7b75176ba769d21fbfa75a434a7d581
  • Description modified (diff)

New commits:

4f776b0build/pkgs/setuptools_scm: Update to 6.0.1

comment:5 Changed 16 months ago by mkoeppe

  • Status changed from new to needs_review

comment:6 Changed 16 months ago by mkoeppe

  • Priority changed from major to critical

comment:7 Changed 16 months ago by dimpase

  • Reviewers set to Dima Pasechnik
  • Status changed from needs_review to positive_review

lgtm

comment:8 Changed 16 months ago by mkoeppe

Thanks!

comment:9 Changed 16 months ago by mkoeppe

  • Priority changed from critical to blocker

comment:10 Changed 16 months ago by vbraun

  • Branch changed from u/mkoeppe/update_setuptools_scm_to_6_0_1 to 4f776b01c7b75176ba769d21fbfa75a434a7d581
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.